Get Blog
curl --request GET \
--url https://api.launchmystore.io/api/v1/blogs/:id.json \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.launchmystore.io/api/v1/blogs/:id.json"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.launchmystore.io/api/v1/blogs/:id.json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"state": "<string>",
"message": "<string>",
"data": {
"blogsPageId": "<string>",
"id": "<string>",
"name": "<string>",
"title": "<string>",
"handle": "<string>",
"templateSuffix": "<string>",
"seoTitle": "<string>",
"seoDesc": "<string>",
"seoImage": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}Blogs
Get Blog
Retrieve a single blog
GET
/
api
/
v1
/
blogs
/
:id.json
Get Blog
Get Blog
Returns a single blog by its ID.Request
curl -X GET "https://api.launchmystore.io/api/v1/blogs/blog_abc123.json" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.launchmystore.io/api/v1/blogs/blog_abc123.json', {
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
});
read_content scope.
Path Parameters
The unique blog ID
Response
The response uses the standard envelope. The blog object is returned underdata.blog.
HTTP status code (e.g.
200)Result state, e.g.
successOptional message,
null on successWrapper object containing the blog
Show data.blog
Show data.blog
Unique blog ID (UUID)
Short numeric blog ID
Blog name
Blog title
URL-safe blog handle
Custom template suffix for theming
SEO title
SEO description
SEO image URL
Creation timestamp (ISO 8601)
Last update timestamp (ISO 8601)
Example Response
{
"status": 200,
"state": "success",
"message": null,
"data": {
"blog": {
"blogsPageId": "blog_abc123",
"id": "482915",
"name": "News",
"title": "News",
"handle": "news",
"templateSuffix": null,
"seoTitle": null,
"seoDesc": null,
"seoImage": null,
"createdAt": "2024-01-01T10:00:00.000Z",
"updatedAt": "2024-03-15T14:30:00.000Z"
}
}
}
Error Codes
| Code | Description |
|---|---|
UNAUTHORIZED | Invalid or missing access token |
FORBIDDEN | App doesn’t have read_content scope |
NOT_FOUND | Blog with the specified ID does not exist |
⌘I